Subject: Re: bug#53041: 29.0.50; TRAMP spins the CPU by polling the child processes without a delay

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 14 Jan 2022 09:13:12 +0100

Michael Albinus <[email-masked]> writes:

> The pattern (while (accept-process-output p) was proposed by Stefan
> Monnier in
> <https://lists.gnu.org/archive/html/emacs-devel/2019-01/msg00338.html>,
> so this is used in Tramp. I do not want to reopen this can of worms, really.
>
> To fix your problem of a broken connection, the Tramp manual recommends
> to add "ServerAliveInterval 5" in your ~/.ssh/config, see (info "(tramp)
> Frequently Asked Questions") . Additionally, you might set
> "ServerAliveCountMax 2".

If I understand correctly, this means that we won't be doing anything
further in this bug report, and I'm therefore closing it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no